summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-02-24 11:23:42 +0100
committerLars Wendler <polynomial-c@gentoo.org>2017-02-24 11:35:04 +0100
commit5c38a3d82b6b4792aab638a0bfaefb18364b18b8 (patch)
tree4ab43023a8c172742901f1b60e2aaae01b4d94f4 /net-libs
parentmedia-libs/sdl2-gfx: Bump to version 1.0.3 (diff)
downloadgentoo-5c38a3d82b6b4792aab638a0bfaefb18364b18b8.tar.gz
gentoo-5c38a3d82b6b4792aab638a0bfaefb18364b18b8.tar.bz2
gentoo-5c38a3d82b6b4792aab638a0bfaefb18364b18b8.zip
net-libs/gloox: Bump to version 1.0.19
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/gloox/Manifest1
-rw-r--r--net-libs/gloox/gloox-1.0.19.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/net-libs/gloox/Manifest b/net-libs/gloox/Manifest
index e4ddbe7f0c3..fed4b62c8b3 100644
--- a/net-libs/gloox/Manifest
+++ b/net-libs/gloox/Manifest
@@ -1,3 +1,4 @@
DIST gloox-1.0.17.tar.bz2 698239 SHA256 31a7825b975b2dbe43974e78b42f22b7328df1058f0be26970a7665bb20c8025 SHA512 8595586da391fa23f54eff7c8eb514e7000d3569eac3846edc28da02ec2da409f46013de93dd6d4b5185965675fc22ff2c96f031afa581e2d9243469b1b419f2 WHIRLPOOL a8b47ae64c76fc3b57b77d9241cb3aa14e576eb496776635c8fc9a36d9b22795f92c0d1c74da53483b6663e6b9b1f42dd2d0743af8bd9977c0d3a453c55f4246
DIST gloox-1.0.18.tar.bz2 700080 SHA256 16730e7fd4679e098a6d6c1f94ee72aca825e8f40e6744f5921ac32fdf22548e SHA512 b8387796914e237fa07cff17862f8eafad8506173a3bcd7a659158daf845a33606b3ec58822c2f0f8f629aa1ee68a2ac58489dba83516cb7da264da3678317a7 WHIRLPOOL 6b38e7e3d480083fd98fc4d5f8c2402faf1c5242d3201c29d40995cafd2aadafb20780c7219a1a55497ab95754ea1c5b8f79756fed9f2f3b84780dc060f4b1d0
+DIST gloox-1.0.19.tar.bz2 700335 SHA256 88466ab52ca99bfb22a74b738d9713a9cda0b06e539108354156ba408a5283f8 SHA512 6f62773aeb24631ea5edbbf2267275f9e6005bed240dfbd121784238709d85097a096d16b3cd7cb45d34b2daeab026dbb3b84994c504ba03180d9dff90f9fbb5 WHIRLPOOL 98586156b3a88807b3f1aca25b9fb06f17581b4a1e834cf1692b406b879f4f759ec424dfb36527bc0945774a798647a8b033a9ae860960b4f214f9a35051c00f
DIST gloox-1.0.9.tar.bz2 670206 SHA256 143dd50e1edc4eb1d304fa28bdd6ab9e53b60c37c1726dd0e34c06c51f9a453e SHA512 a3fa7acc76fdca0421030e71b6a13ca0b04589946df2a781609f1bddae5329299d68ce99a4a94a0760206b112759636379ce67d220422b99302fc799964bfa22 WHIRLPOOL 414eb34fa3ec11ae929f84198d95ed0da9de0739655ae1188ac3eb03998de5cecb9c165ad284496b405b49126236b628dc5b4579e855b10377add145fabb63b1
diff --git a/net-libs/gloox/gloox-1.0.19.ebuild b/net-libs/gloox/gloox-1.0.19.ebuild
new file mode 100644
index 00000000000..e8a12c9818a
--- /dev/null
+++ b/net-libs/gloox/gloox-1.0.19.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+MY_P="${P/_/-}"
+DESCRIPTION="A portable high-level Jabber/XMPP library for C++"
+HOMEPAGE="http://camaya.net/gloox"
+SRC_URI="http://camaya.net/download/${MY_P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0/16"
+KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~ia64 ~sparc ~x86"
+IUSE="debug gnutls idn libressl ssl static-libs test zlib"
+
+DEPEND="idn? ( net-dns/libidn )
+ gnutls? ( net-libs/gnutls )
+ ssl? (
+ !libressl? ( dev-libs/openssl:0 )
+ libressl? ( dev-libs/libressl )
+ )
+ zlib? ( sys-libs/zlib )"
+
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+ # Examples are not installed anyway, so - why should we build them?
+ econf \
+ --without-examples \
+ $(usex debug "--enable-debug" '') \
+ $(use_enable static-libs static) \
+ $(use_with idn libidn) \
+ $(use_with gnutls) \
+ $(use_with ssl openssl) \
+ $(use_with test tests) \
+ $(use_with zlib)
+}
+
+src_install() {
+ default
+ find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+}